/* $Id: pysaviTypes.h,v 1.2 2005/02/08 05:43:03 mjp Exp $ */
#ifndef __PYSAVITYPES_H__
#define __PYSAVITYPES_H__
#include <Python.h>
#include "csavi3c.h"

/* Things */

typedef CIEnumSweepResults CIEnumGeneric;

/* Python types */

extern PyTypeObject PySSavi3_Type;
extern PyTypeObject PySEnumGeneric_Type;
extern PyTypeObject PySSweepResults_Type;
extern PyTypeObject PySSweepError_Type;
extern PyTypeObject PySIDEDetails_Type;
extern PyTypeObject PySEngineConfig_Type;
extern PyTypeObject PySVersionChecksum_Type;

typedef struct {
  PyObject_HEAD
  CISavi3 *pSAVI;             /* main SAVI engine handle */
  PyObject *cbck;             /* RegisterNotification handler */
  PyInterpreterState *interp; /* THREAD! */
  PyObject *exc_type;         /* exception type raised in callback */
  PyObject *exc_val;          /* exception value raised in callback */
  PyObject *exc_tb;           /* exception traceback raised in callback */
} PySSavi3;


#endif /* __PYSAVITYPE_H__ */
