/* $Id: pysavi.h,v 1.1.1.1 2004/11/02 03:57:58 mjp Exp $ */
#ifndef __PYSAVI_H__
#define __PYSAVI_H__
#include <Python.h>
#include "pysaviTypes.h"
#include "csavi3c.h"

int PySSweepResults_converter(PyObject *, void **);

/* PyFile -> SAVI Stream converter (SweepStream) */
void * CIFileish_ctor(PyObject *f);

/* Callbacks */
int pysCbckRegister(PySSavi3 *, REFIID);

/* Enumerators (iterators) */
PyObject * PySEnumGeneric_New(REFIID, CIEnumGeneric *, int);

/* Elements (iteratees and callback parameters) */
PyObject * PySSweepResults_New(CISweepResults *);
PyObject * PySEngineConfig_New(CIEngineConfig *);
PyObject * PySIDEDetails_New(CIIDEDetails *);
PyObject * PySSweepError_New(CISweepError *);
PyObject * PySVersionChecksum_New(CIVersionChecksum *);

/* Misc */
void pysInitModuleConstants(PyObject *);

#endif /* __PYSAVI_H__ */
